import 'package:airbridge_flutter_sdk_example/basic/component/button_grid.dart';
import 'package:airbridge_flutter_sdk_example/basic/utility/storage.dart';

import 'package:flutter/material.dart';

import 'package:airbridge_flutter_sdk/airbridge_flutter_sdk.dart';

class DeviceAliasGrid extends StatefulWidget {
  @override
  State<StatefulWidget> createState() {
    return _State();
  }
}

class _State extends State<DeviceAliasGrid> {

  @override
  void initState() {
    super.initState();

    setState(() {});
  }

  @override
  Widget build(BuildContext context) {
    return ButtonGrid(
      width: 3,
      backColor: Colors.teal,
      textColor: Colors.white,
      datas: [
        ButtonData('set', (){
          Airbridge.setDeviceAlias("alias01", "flutter alias 01");
          Airbridge.setDeviceAlias("alias02", "flutter alias 02");
        }),
        ButtonData('remove', (){
          Airbridge.removeDeviceAlias("alias01");
          
        }),
        ButtonData('clear', (){
          Airbridge.clearDeviceAlias();
        }),
      ],
    );
  }
}