import 'package:airbridge_flutter_sdk_example/basic/component/part.dart';

import 'package:flutter/material.dart';

import 'component/deeplink_status.dart';
import 'component/device_status.dart';
import 'component/device_alias.dart';
import 'component/id_setting_grid.dart';
import 'component/placement_test.dart';
import 'component/send_event_grid.dart';

class HomePage extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return SingleChildScrollView(
        child: Container(
          padding: EdgeInsets.all(6.0),
          child: Column(
            children: [
              Part('Device', child: DeviceStatus()),
              Part('Device alias', child: DeviceAliasGrid()),
              Part('ID Setting', child: IDSettingGrid()),
              Part('Send Event', child: SendEventGrid()),
              Part('Deeplink', child: DeeplinkStatus()),
              Part('Placement Test', child: PlacementTest()),
            ],
          ),
        )
    );
  }
}