import 'package:flutter/material.dart';

import 'component/in_app_webview_page.dart';
import 'component/webview_flutter_page.dart';

import 'component/in_app_webview_host_page.dart';

class WebPage extends StatefulWidget {
  @override
  _WebPageState createState() =>
      new _WebPageState();
}
class _WebPageState extends State<WebPage> {

  @override
  Widget build(BuildContext context) {
    return Center(
        child: Column(
            mainAxisSize: MainAxisSize.max,
            mainAxisAlignment: MainAxisAlignment.center,
            children: [
                Expanded(child: InAppWebViewPage()),
                Expanded(child: WebViewFlutterPage()),
                Expanded(child: InAppWebViewHostPage()),
            ],
        )
    );
  }
}