#import "AirbridgeFlutter.h"
#if __has_include(<airbridge_flutter_sdk/airbridge_flutter_sdk-Swift.h>)
#import <airbridge_flutter_sdk/airbridge_flutter_sdk-Swift.h>
#else
// Support project import fallback if the generated compatibility header
// is not copied when this plugin is created as a library.
// https://forums.swift.org/t/swift-static-libraries-dont-copy-generated-objective-c-header/19816
#import "airbridge_flutter_sdk-Swift.h"
#endif

@implementation AirbridgeFlutter

+ (void)registerWithRegistrar:(NSObject<FlutterPluginRegistrar>*)registrar {
    [AirbridgeFlutter_Swift registerWithRegistrar:registrar];
}

+ (void)initSDKWithAppName:(NSString*)appName
                  appToken:(NSString*)appToken
         withLaunchOptions:(NSDictionary*)launchOptions
{
    [AirbridgeFlutter_Swift initSDKWithAppName:appName appToken:appToken withLaunchOptions:launchOptions];
}

+ (ABDeeplink*) deeplink {
    return AirbridgeFlutter_Swift.deeplink;
}

@end
