class Product {
  String? id;
  String? name;
  String? currency;
  num? price;
  num? quantity;
  num? position;

  Product({
    this.id,
    this.name,
    this.currency,
    this.price,
    this.quantity,
    this.position,
  });

  Map<String, dynamic> toMap() => {
    'productID': id,
    'name': name,
    'currency': currency,
    'price': price,
    'quantity': quantity,
    'position': position,
  };
}

extension ListProduct on List<Product> {
  List<Map<String, dynamic>> toMapList() => (
      this.map((product) => product.toMap()).toList()
  );
}